# volumeSlice

#### new volumeSlice(selection)

Constructor

Source:
  - component/volumeSlice.js, line 29

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/volumeSlice.js, line 79

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) imageUrl(_v) → {*}

Image URL Getter / Setter

Source:
  - component/volumeSlice.js, line 91

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Image URL path.

##### Returns:

Type:
  `*`

#### (static) numberOfSlices(_v) → {*}

Number of Slices Getter / Setter

Source:
  - component/volumeSlice.js, line 103

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Total number of slices.

##### Returns:

Type:
  `*`

#### (static) slicesOverX(_v) → {*}

X Slices Getter / Setter

Source:
  - component/volumeSlice.js, line 115

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Number of slices over X axis.

##### Returns:

Type:
  `*`

#### (static) slicesOverY(_v) → {*}

Y Slices Getter / Setter

Source:
  - component/volumeSlice.js, line 127

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Number of slices over Y axis.

##### Returns:

Type:
  `*`

#### (static) volumeStyle(_v) → {*}

Volume Style Getter / Setter

Source:
  - component/volumeSlice.js, line 139

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Volume render style (either "MPRVolume" or "OpacityMap")

##### Returns:

Type:
  `*`